Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 5280 in orxonox.OLD


Ignore:
Timestamp:
Oct 4, 2005, 9:29:49 PM (19 years ago)
Author:
bensch
Message:

orxonox/trunk: remove unused stuff

Location:
trunk
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • trunk/config.h.in

    r5265 r5280  
    4949/* Define to 1 if you have the <ogg/ogg.h> header file. */
    5050#undef HAVE_OGG_OGG_H
     51
     52/* Define to 1 if you have the <OpenAL/al.h> header file. */
     53#undef HAVE_OPENAL_AL_H
    5154
    5255/* Define to 1 if you have the <OpenGL/glu.h> header file. */
  • trunk/configure

    r5277 r5280  
    57625762# openGL #
    57635763#--------#
    5764 ac_save_LDFLAGS="${LDFLAGS}"
    5765 
    57665764# checking gl header
    57675765
     
    59805978echo "${ECHO_T}$ac_cv_lib_GL_main" >&6
    59815979if test $ac_cv_lib_GL_main = yes; then
    5982   FOUND_GL=yes; LIBS="$LIBS -lGL"; LDFLAGS="${LDFLAGS} -lGL"
     5980  FOUND_GL=yes; LIBS="$LIBS -lGL"
    59835981fi
    59845982
     
    64416439         exit -1
    64426440   fi
    6443 ## resetting LD-flags as before GL
    6444 LDFLAGS="${ac_save_LDFLAGS}"
    64456441
    64466442#--------#
     
    72897285
    72907286 CPPFLAGS="-I/sw/include -I/sw/include $CPPFLAGS"
     7287 LDFLAGS="$LDFLAGS -L/sw/lib"
    72917288# checking gl header
    72927289
     
    76037600
    76047601
    7605 ## SDL-check
    7606        SDL_CFLAGS=`sdl-config --cflags`
    7607        SDL_LIBS=`sdl-config --libs`
    7608        CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
    7609        LIBS="$LIBS $SDL_LIBS"
    7610 
    7611 
    7612 # checking for SDL-headers
    7613 #    AC_CHECK_HEADERS(SDL/SDL.h ,,
    7614 #      [AC_MSG_ERROR([cannot find SDL headers]) ])
    7615 
    7616 ## checking for SDL
    7617 #    SDL_VERSION=1.2.7
    7618 #    AM_PATH_SDL($SDL_VERSION,
    7619 #      :,
    7620 #      AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
    7621 #      )
    7622 
    7623 
    7624     ;;
    7625 
    7626   *)
    7627     ;;
    7628 esac
    7629 
    7630 
    7631 
    7632 ###################################
    7633 ## CHECKING FOR HEADERS AND LIBS ##
    7634 ###################################
    7635 
    7636 #---------#
    7637 # SDL_ttf #
    7638 #---------#
    7639 # checking for SDL_ttf-headers
    7640 
    7641 for ac_header in SDL_ttf.h
     7602
     7603# checking for GLEW-headers
     7604
     7605for ac_header in GL/glew.h
    76427606do
    76437607as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    77857749
    77867750else
    7787 
    7788 for ac_header in SDL/SDL_ttf.h
     7751  { { echo "$as_me:$LINENO: error: cannot find glew headers" >&5
     7752echo "$as_me: error: cannot find glew headers" >&2;}
     7753   { (exit 1); exit 1; }; }
     7754fi
     7755
     7756done
     7757
     7758# checking for GLEW-lib
     7759  echo "$as_me:$LINENO: checking for main in -lGLEW" >&5
     7760echo $ECHO_N "checking for main in -lGLEW... $ECHO_C" >&6
     7761if test "${ac_cv_lib_GLEW_main+set}" = set; then
     7762  echo $ECHO_N "(cached) $ECHO_C" >&6
     7763else
     7764  ac_check_lib_save_LIBS=$LIBS
     7765LIBS="-lGLEW  $LIBS"
     7766cat >conftest.$ac_ext <<_ACEOF
     7767/* confdefs.h.  */
     7768_ACEOF
     7769cat confdefs.h >>conftest.$ac_ext
     7770cat >>conftest.$ac_ext <<_ACEOF
     7771/* end confdefs.h.  */
     7772
     7773
     7774int
     7775main ()
     7776{
     7777main ();
     7778  ;
     7779  return 0;
     7780}
     7781_ACEOF
     7782rm -f conftest.$ac_objext conftest$ac_exeext
     7783if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7784  (eval $ac_link) 2>conftest.er1
     7785  ac_status=$?
     7786  grep -v '^ *+' conftest.er1 >conftest.err
     7787  rm -f conftest.er1
     7788  cat conftest.err >&5
     7789  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7790  (exit $ac_status); } &&
     7791         { ac_try='test -z "$ac_c_werror_flag"
     7792                         || test ! -s conftest.err'
     7793  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7794  (eval $ac_try) 2>&5
     7795  ac_status=$?
     7796  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7797  (exit $ac_status); }; } &&
     7798         { ac_try='test -s conftest$ac_exeext'
     7799  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7800  (eval $ac_try) 2>&5
     7801  ac_status=$?
     7802  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7803  (exit $ac_status); }; }; then
     7804  ac_cv_lib_GLEW_main=yes
     7805else
     7806  echo "$as_me: failed program was:" >&5
     7807sed 's/^/| /' conftest.$ac_ext >&5
     7808
     7809ac_cv_lib_GLEW_main=no
     7810fi
     7811rm -f conftest.err conftest.$ac_objext \
     7812      conftest$ac_exeext conftest.$ac_ext
     7813LIBS=$ac_check_lib_save_LIBS
     7814fi
     7815echo "$as_me:$LINENO: result: $ac_cv_lib_GLEW_main" >&5
     7816echo "${ECHO_T}$ac_cv_lib_GLEW_main" >&6
     7817if test $ac_cv_lib_GLEW_main = yes; then
     7818  FOUND_GLEW=yes; LIBS="$LIBS -lGLEW"
     7819fi
     7820
     7821   if test x$FOUND_GLEW != xyes ; then
     7822         echo "------------------"
     7823         echo "glew not found."
     7824         echo "please install the glew package which can be found at http://glew.sourceforge.net"
     7825         echo "------------------"
     7826         exit -1
     7827   fi
     7828
     7829
     7830
     7831for ac_header in OpenAL/al.h
    77897832do
    77907833as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    79327975
    79337976else
    7934   { { echo "$as_me:$LINENO: error: cannot find SDL_ttf header." >&5
    7935 echo "$as_me: error: cannot find SDL_ttf header." >&2;}
     7977  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     7978echo "$as_me: error: cannot find opengl headers" >&2;}
    79367979   { (exit 1); exit 1; }; }
    79377980fi
     
    79397982done
    79407983
    7941 fi
    7942 
    7943 done
    7944 
    7945 # checking for SDL_ttf-lib
    7946   echo "$as_me:$LINENO: checking for TTF_OpenFont in -lSDL_ttf" >&5
    7947 echo $ECHO_N "checking for TTF_OpenFont in -lSDL_ttf... $ECHO_C" >&6
    7948 if test "${ac_cv_lib_SDL_ttf_TTF_OpenFont+set}" = set; then
    7949   echo $ECHO_N "(cached) $ECHO_C" >&6
    7950 else
    7951   ac_check_lib_save_LIBS=$LIBS
    7952 LIBS="-lSDL_ttf  $LIBS"
    7953 cat >conftest.$ac_ext <<_ACEOF
    7954 /* confdefs.h.  */
    7955 _ACEOF
    7956 cat confdefs.h >>conftest.$ac_ext
    7957 cat >>conftest.$ac_ext <<_ACEOF
    7958 /* end confdefs.h.  */
    7959 
    7960 /* Override any gcc2 internal prototype to avoid an error.  */
    7961 #ifdef __cplusplus
    7962 extern "C"
    7963 #endif
    7964 /* We use char because int might match the return type of a gcc2
    7965    builtin and then its argument prototype would still apply.  */
    7966 char TTF_OpenFont ();
    7967 int
    7968 main ()
    7969 {
    7970 TTF_OpenFont ();
    7971   ;
    7972   return 0;
    7973 }
    7974 _ACEOF
    7975 rm -f conftest.$ac_objext conftest$ac_exeext
    7976 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7977   (eval $ac_link) 2>conftest.er1
    7978   ac_status=$?
    7979   grep -v '^ *+' conftest.er1 >conftest.err
    7980   rm -f conftest.er1
    7981   cat conftest.err >&5
    7982   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7983   (exit $ac_status); } &&
    7984          { ac_try='test -z "$ac_c_werror_flag"
    7985                          || test ! -s conftest.err'
    7986   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7987   (eval $ac_try) 2>&5
    7988   ac_status=$?
    7989   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7990   (exit $ac_status); }; } &&
    7991          { ac_try='test -s conftest$ac_exeext'
    7992   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7993   (eval $ac_try) 2>&5
    7994   ac_status=$?
    7995   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7996   (exit $ac_status); }; }; then
    7997   ac_cv_lib_SDL_ttf_TTF_OpenFont=yes
    7998 else
    7999   echo "$as_me: failed program was:" >&5
    8000 sed 's/^/| /' conftest.$ac_ext >&5
    8001 
    8002 ac_cv_lib_SDL_ttf_TTF_OpenFont=no
    8003 fi
    8004 rm -f conftest.err conftest.$ac_objext \
    8005       conftest$ac_exeext conftest.$ac_ext
    8006 LIBS=$ac_check_lib_save_LIBS
    8007 fi
    8008 echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_ttf_TTF_OpenFont" >&5
    8009 echo "${ECHO_T}$ac_cv_lib_SDL_ttf_TTF_OpenFont" >&6
    8010 if test $ac_cv_lib_SDL_ttf_TTF_OpenFont = yes; then
    8011   FOUND_SDL_ttf=yes; LIBS="$LIBS -lSDL_ttf"
    8012 fi
    8013 
    8014      if test x$FOUND_SDL_ttf != xyes ; then
    8015         echo "------------------"
    8016         echo "SDL_ttf library not found."
    8017         echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
    8018         echo "------------------"
    8019         exit -1
    8020      fi
    8021 
    8022 #-----------#
    8023 # SDL_Image #
    8024 #-----------#
    8025 # checking for SDL_image-headers
    8026 
    8027 for ac_header in SDL_image.h
     7984  HAVE_OPENAL=yes
     7985  LIBS="$LIBS -framework OpenAL"
     7986
     7987
     7988## SDL-check
     7989#       SDL_CFLAGS=`sdl-config --cflags`
     7990#       SDL_LIBS=`sdl-config --libs`
     7991#       CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
     7992#       LIBS="$LIBS $SDL_LIBS"
     7993
     7994for ac_header in SDL/SDL.h
    80287995do
    80297996as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    81718138
    81728139else
    8173 
    8174 for ac_header in SDL/SDL_image.h
     8140  { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
     8141echo "$as_me: error: cannot find SDL headers" >&2;}
     8142   { (exit 1); exit 1; }; }
     8143fi
     8144
     8145done
     8146
     8147   HAVE_SDL=yes
     8148   LIBS="$LIBS -framework SDL"
     8149
     8150# checking for SDL-headers
     8151#    AC_CHECK_HEADERS(SDL/SDL.h ,,
     8152#      [AC_MSG_ERROR([cannot find SDL headers]) ])
     8153
     8154## checking for SDL
     8155#    SDL_VERSION=1.2.7
     8156#    AM_PATH_SDL($SDL_VERSION,
     8157#      :,
     8158#      AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
     8159#      )
     8160
     8161
     8162    ;;
     8163
     8164  *)
     8165    ;;
     8166esac
     8167
     8168
     8169
     8170###################################
     8171## CHECKING FOR HEADERS AND LIBS ##
     8172###################################
     8173
     8174#---------#
     8175# SDL_ttf #
     8176#---------#
     8177# checking for SDL_ttf-headers
     8178
     8179for ac_header in SDL_ttf.h
    81758180do
    81768181as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    83188323
    83198324else
     8325
     8326for ac_header in SDL/SDL_ttf.h
     8327do
     8328as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     8329if eval "test \"\${$as_ac_Header+set}\" = set"; then
     8330  echo "$as_me:$LINENO: checking for $ac_header" >&5
     8331echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     8332if eval "test \"\${$as_ac_Header+set}\" = set"; then
     8333  echo $ECHO_N "(cached) $ECHO_C" >&6
     8334fi
     8335echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     8336echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     8337else
     8338  # Is the header compilable?
     8339echo "$as_me:$LINENO: checking $ac_header usability" >&5
     8340echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     8341cat >conftest.$ac_ext <<_ACEOF
     8342/* confdefs.h.  */
     8343_ACEOF
     8344cat confdefs.h >>conftest.$ac_ext
     8345cat >>conftest.$ac_ext <<_ACEOF
     8346/* end confdefs.h.  */
     8347$ac_includes_default
     8348#include <$ac_header>
     8349_ACEOF
     8350rm -f conftest.$ac_objext
     8351if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     8352  (eval $ac_compile) 2>conftest.er1
     8353  ac_status=$?
     8354  grep -v '^ *+' conftest.er1 >conftest.err
     8355  rm -f conftest.er1
     8356  cat conftest.err >&5
     8357  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8358  (exit $ac_status); } &&
     8359         { ac_try='test -z "$ac_c_werror_flag"
     8360                         || test ! -s conftest.err'
     8361  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     8362  (eval $ac_try) 2>&5
     8363  ac_status=$?
     8364  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8365  (exit $ac_status); }; } &&
     8366         { ac_try='test -s conftest.$ac_objext'
     8367  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     8368  (eval $ac_try) 2>&5
     8369  ac_status=$?
     8370  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8371  (exit $ac_status); }; }; then
     8372  ac_header_compiler=yes
     8373else
     8374  echo "$as_me: failed program was:" >&5
     8375sed 's/^/| /' conftest.$ac_ext >&5
     8376
     8377ac_header_compiler=no
     8378fi
     8379rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     8380echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     8381echo "${ECHO_T}$ac_header_compiler" >&6
     8382
     8383# Is the header present?
     8384echo "$as_me:$LINENO: checking $ac_header presence" >&5
     8385echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     8386cat >conftest.$ac_ext <<_ACEOF
     8387/* confdefs.h.  */
     8388_ACEOF
     8389cat confdefs.h >>conftest.$ac_ext
     8390cat >>conftest.$ac_ext <<_ACEOF
     8391/* end confdefs.h.  */
     8392#include <$ac_header>
     8393_ACEOF
     8394if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     8395  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     8396  ac_status=$?
     8397  grep -v '^ *+' conftest.er1 >conftest.err
     8398  rm -f conftest.er1
     8399  cat conftest.err >&5
     8400  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8401  (exit $ac_status); } >/dev/null; then
     8402  if test -s conftest.err; then
     8403    ac_cpp_err=$ac_c_preproc_warn_flag
     8404    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     8405  else
     8406    ac_cpp_err=
     8407  fi
     8408else
     8409  ac_cpp_err=yes
     8410fi
     8411if test -z "$ac_cpp_err"; then
     8412  ac_header_preproc=yes
     8413else
     8414  echo "$as_me: failed program was:" >&5
     8415sed 's/^/| /' conftest.$ac_ext >&5
     8416
     8417  ac_header_preproc=no
     8418fi
     8419rm -f conftest.err conftest.$ac_ext
     8420echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     8421echo "${ECHO_T}$ac_header_preproc" >&6
     8422
     8423# So?  What about this header?
     8424case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     8425  yes:no: )
     8426    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     8427echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     8428    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     8429echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     8430    ac_header_preproc=yes
     8431    ;;
     8432  no:yes:* )
     8433    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     8434echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     8435    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     8436echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     8437    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     8438echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     8439    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     8440echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     8441    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     8442echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     8443    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     8444echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     8445    (
     8446      cat <<\_ASBOX
     8447## ---------------------------------------------- ##
     8448## Report this to orxonox-dev at mail.datacore.ch ##
     8449## ---------------------------------------------- ##
     8450_ASBOX
     8451    ) |
     8452      sed "s/^/$as_me: WARNING:     /" >&2
     8453    ;;
     8454esac
     8455echo "$as_me:$LINENO: checking for $ac_header" >&5
     8456echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     8457if eval "test \"\${$as_ac_Header+set}\" = set"; then
     8458  echo $ECHO_N "(cached) $ECHO_C" >&6
     8459else
     8460  eval "$as_ac_Header=\$ac_header_preproc"
     8461fi
     8462echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     8463echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     8464
     8465fi
     8466if test `eval echo '${'$as_ac_Header'}'` = yes; then
     8467  cat >>confdefs.h <<_ACEOF
     8468#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     8469_ACEOF
     8470
     8471else
     8472  { { echo "$as_me:$LINENO: error: cannot find SDL_ttf header." >&5
     8473echo "$as_me: error: cannot find SDL_ttf header." >&2;}
     8474   { (exit 1); exit 1; }; }
     8475fi
     8476
     8477done
     8478
     8479fi
     8480
     8481done
     8482
     8483# checking for SDL_ttf-lib
     8484  echo "$as_me:$LINENO: checking for TTF_OpenFont in -lSDL_ttf" >&5
     8485echo $ECHO_N "checking for TTF_OpenFont in -lSDL_ttf... $ECHO_C" >&6
     8486if test "${ac_cv_lib_SDL_ttf_TTF_OpenFont+set}" = set; then
     8487  echo $ECHO_N "(cached) $ECHO_C" >&6
     8488else
     8489  ac_check_lib_save_LIBS=$LIBS
     8490LIBS="-lSDL_ttf  $LIBS"
     8491cat >conftest.$ac_ext <<_ACEOF
     8492/* confdefs.h.  */
     8493_ACEOF
     8494cat confdefs.h >>conftest.$ac_ext
     8495cat >>conftest.$ac_ext <<_ACEOF
     8496/* end confdefs.h.  */
     8497
     8498/* Override any gcc2 internal prototype to avoid an error.  */
     8499#ifdef __cplusplus
     8500extern "C"
     8501#endif
     8502/* We use char because int might match the return type of a gcc2
     8503   builtin and then its argument prototype would still apply.  */
     8504char TTF_OpenFont ();
     8505int
     8506main ()
     8507{
     8508TTF_OpenFont ();
     8509  ;
     8510  return 0;
     8511}
     8512_ACEOF
     8513rm -f conftest.$ac_objext conftest$ac_exeext
     8514if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     8515  (eval $ac_link) 2>conftest.er1
     8516  ac_status=$?
     8517  grep -v '^ *+' conftest.er1 >conftest.err
     8518  rm -f conftest.er1
     8519  cat conftest.err >&5
     8520  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8521  (exit $ac_status); } &&
     8522         { ac_try='test -z "$ac_c_werror_flag"
     8523                         || test ! -s conftest.err'
     8524  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     8525  (eval $ac_try) 2>&5
     8526  ac_status=$?
     8527  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8528  (exit $ac_status); }; } &&
     8529         { ac_try='test -s conftest$ac_exeext'
     8530  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     8531  (eval $ac_try) 2>&5
     8532  ac_status=$?
     8533  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8534  (exit $ac_status); }; }; then
     8535  ac_cv_lib_SDL_ttf_TTF_OpenFont=yes
     8536else
     8537  echo "$as_me: failed program was:" >&5
     8538sed 's/^/| /' conftest.$ac_ext >&5
     8539
     8540ac_cv_lib_SDL_ttf_TTF_OpenFont=no
     8541fi
     8542rm -f conftest.err conftest.$ac_objext \
     8543      conftest$ac_exeext conftest.$ac_ext
     8544LIBS=$ac_check_lib_save_LIBS
     8545fi
     8546echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_ttf_TTF_OpenFont" >&5
     8547echo "${ECHO_T}$ac_cv_lib_SDL_ttf_TTF_OpenFont" >&6
     8548if test $ac_cv_lib_SDL_ttf_TTF_OpenFont = yes; then
     8549  FOUND_SDL_ttf=yes; LIBS="$LIBS -lSDL_ttf"
     8550fi
     8551
     8552     if test x$FOUND_SDL_ttf != xyes ; then
     8553        echo "------------------"
     8554        echo "SDL_ttf library not found."
     8555        echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
     8556        echo "------------------"
     8557        exit -1
     8558     fi
     8559
     8560#-----------#
     8561# SDL_Image #
     8562#-----------#
     8563# checking for SDL_image-headers
     8564
     8565for ac_header in SDL_image.h
     8566do
     8567as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     8568if eval "test \"\${$as_ac_Header+set}\" = set"; then
     8569  echo "$as_me:$LINENO: checking for $ac_header" >&5
     8570echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     8571if eval "test \"\${$as_ac_Header+set}\" = set"; then
     8572  echo $ECHO_N "(cached) $ECHO_C" >&6
     8573fi
     8574echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     8575echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     8576else
     8577  # Is the header compilable?
     8578echo "$as_me:$LINENO: checking $ac_header usability" >&5
     8579echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     8580cat >conftest.$ac_ext <<_ACEOF
     8581/* confdefs.h.  */
     8582_ACEOF
     8583cat confdefs.h >>conftest.$ac_ext
     8584cat >>conftest.$ac_ext <<_ACEOF
     8585/* end confdefs.h.  */
     8586$ac_includes_default
     8587#include <$ac_header>
     8588_ACEOF
     8589rm -f conftest.$ac_objext
     8590if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     8591  (eval $ac_compile) 2>conftest.er1
     8592  ac_status=$?
     8593  grep -v '^ *+' conftest.er1 >conftest.err
     8594  rm -f conftest.er1
     8595  cat conftest.err >&5
     8596  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8597  (exit $ac_status); } &&
     8598         { ac_try='test -z "$ac_c_werror_flag"
     8599                         || test ! -s conftest.err'
     8600  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     8601  (eval $ac_try) 2>&5
     8602  ac_status=$?
     8603  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8604  (exit $ac_status); }; } &&
     8605         { ac_try='test -s conftest.$ac_objext'
     8606  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     8607  (eval $ac_try) 2>&5
     8608  ac_status=$?
     8609  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8610  (exit $ac_status); }; }; then
     8611  ac_header_compiler=yes
     8612else
     8613  echo "$as_me: failed program was:" >&5
     8614sed 's/^/| /' conftest.$ac_ext >&5
     8615
     8616ac_header_compiler=no
     8617fi
     8618rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     8619echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     8620echo "${ECHO_T}$ac_header_compiler" >&6
     8621
     8622# Is the header present?
     8623echo "$as_me:$LINENO: checking $ac_header presence" >&5
     8624echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     8625cat >conftest.$ac_ext <<_ACEOF
     8626/* confdefs.h.  */
     8627_ACEOF
     8628cat confdefs.h >>conftest.$ac_ext
     8629cat >>conftest.$ac_ext <<_ACEOF
     8630/* end confdefs.h.  */
     8631#include <$ac_header>
     8632_ACEOF
     8633if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     8634  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     8635  ac_status=$?
     8636  grep -v '^ *+' conftest.er1 >conftest.err
     8637  rm -f conftest.er1
     8638  cat conftest.err >&5
     8639  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8640  (exit $ac_status); } >/dev/null; then
     8641  if test -s conftest.err; then
     8642    ac_cpp_err=$ac_c_preproc_warn_flag
     8643    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     8644  else
     8645    ac_cpp_err=
     8646  fi
     8647else
     8648  ac_cpp_err=yes
     8649fi
     8650if test -z "$ac_cpp_err"; then
     8651  ac_header_preproc=yes
     8652else
     8653  echo "$as_me: failed program was:" >&5
     8654sed 's/^/| /' conftest.$ac_ext >&5
     8655
     8656  ac_header_preproc=no
     8657fi
     8658rm -f conftest.err conftest.$ac_ext
     8659echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     8660echo "${ECHO_T}$ac_header_preproc" >&6
     8661
     8662# So?  What about this header?
     8663case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     8664  yes:no: )
     8665    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     8666echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     8667    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     8668echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     8669    ac_header_preproc=yes
     8670    ;;
     8671  no:yes:* )
     8672    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     8673echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     8674    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     8675echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     8676    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     8677echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     8678    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     8679echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     8680    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     8681echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     8682    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     8683echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     8684    (
     8685      cat <<\_ASBOX
     8686## ---------------------------------------------- ##
     8687## Report this to orxonox-dev at mail.datacore.ch ##
     8688## ---------------------------------------------- ##
     8689_ASBOX
     8690    ) |
     8691      sed "s/^/$as_me: WARNING:     /" >&2
     8692    ;;
     8693esac
     8694echo "$as_me:$LINENO: checking for $ac_header" >&5
     8695echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     8696if eval "test \"\${$as_ac_Header+set}\" = set"; then
     8697  echo $ECHO_N "(cached) $ECHO_C" >&6
     8698else
     8699  eval "$as_ac_Header=\$ac_header_preproc"
     8700fi
     8701echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     8702echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     8703
     8704fi
     8705if test `eval echo '${'$as_ac_Header'}'` = yes; then
     8706  cat >>confdefs.h <<_ACEOF
     8707#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     8708_ACEOF
     8709
     8710else
     8711
     8712for ac_header in SDL/SDL_image.h
     8713do
     8714as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     8715if eval "test \"\${$as_ac_Header+set}\" = set"; then
     8716  echo "$as_me:$LINENO: checking for $ac_header" >&5
     8717echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     8718if eval "test \"\${$as_ac_Header+set}\" = set"; then
     8719  echo $ECHO_N "(cached) $ECHO_C" >&6
     8720fi
     8721echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     8722echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     8723else
     8724  # Is the header compilable?
     8725echo "$as_me:$LINENO: checking $ac_header usability" >&5
     8726echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     8727cat >conftest.$ac_ext <<_ACEOF
     8728/* confdefs.h.  */
     8729_ACEOF
     8730cat confdefs.h >>conftest.$ac_ext
     8731cat >>conftest.$ac_ext <<_ACEOF
     8732/* end confdefs.h.  */
     8733$ac_includes_default
     8734#include <$ac_header>
     8735_ACEOF
     8736rm -f conftest.$ac_objext
     8737if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     8738  (eval $ac_compile) 2>conftest.er1
     8739  ac_status=$?
     8740  grep -v '^ *+' conftest.er1 >conftest.err
     8741  rm -f conftest.er1
     8742  cat conftest.err >&5
     8743  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8744  (exit $ac_status); } &&
     8745         { ac_try='test -z "$ac_c_werror_flag"
     8746                         || test ! -s conftest.err'
     8747  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     8748  (eval $ac_try) 2>&5
     8749  ac_status=$?
     8750  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8751  (exit $ac_status); }; } &&
     8752         { ac_try='test -s conftest.$ac_objext'
     8753  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     8754  (eval $ac_try) 2>&5
     8755  ac_status=$?
     8756  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8757  (exit $ac_status); }; }; then
     8758  ac_header_compiler=yes
     8759else
     8760  echo "$as_me: failed program was:" >&5
     8761sed 's/^/| /' conftest.$ac_ext >&5
     8762
     8763ac_header_compiler=no
     8764fi
     8765rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     8766echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     8767echo "${ECHO_T}$ac_header_compiler" >&6
     8768
     8769# Is the header present?
     8770echo "$as_me:$LINENO: checking $ac_header presence" >&5
     8771echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     8772cat >conftest.$ac_ext <<_ACEOF
     8773/* confdefs.h.  */
     8774_ACEOF
     8775cat confdefs.h >>conftest.$ac_ext
     8776cat >>conftest.$ac_ext <<_ACEOF
     8777/* end confdefs.h.  */
     8778#include <$ac_header>
     8779_ACEOF
     8780if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     8781  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     8782  ac_status=$?
     8783  grep -v '^ *+' conftest.er1 >conftest.err
     8784  rm -f conftest.er1
     8785  cat conftest.err >&5
     8786  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     8787  (exit $ac_status); } >/dev/null; then
     8788  if test -s conftest.err; then
     8789    ac_cpp_err=$ac_c_preproc_warn_flag
     8790    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     8791  else
     8792    ac_cpp_err=
     8793  fi
     8794else
     8795  ac_cpp_err=yes
     8796fi
     8797if test -z "$ac_cpp_err"; then
     8798  ac_header_preproc=yes
     8799else
     8800  echo "$as_me: failed program was:" >&5
     8801sed 's/^/| /' conftest.$ac_ext >&5
     8802
     8803  ac_header_preproc=no
     8804fi
     8805rm -f conftest.err conftest.$ac_ext
     8806echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     8807echo "${ECHO_T}$ac_header_preproc" >&6
     8808
     8809# So?  What about this header?
     8810case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     8811  yes:no: )
     8812    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     8813echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     8814    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     8815echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     8816    ac_header_preproc=yes
     8817    ;;
     8818  no:yes:* )
     8819    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     8820echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     8821    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     8822echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     8823    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     8824echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     8825    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     8826echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     8827    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     8828echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     8829    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     8830echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     8831    (
     8832      cat <<\_ASBOX
     8833## ---------------------------------------------- ##
     8834## Report this to orxonox-dev at mail.datacore.ch ##
     8835## ---------------------------------------------- ##
     8836_ASBOX
     8837    ) |
     8838      sed "s/^/$as_me: WARNING:     /" >&2
     8839    ;;
     8840esac
     8841echo "$as_me:$LINENO: checking for $ac_header" >&5
     8842echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     8843if eval "test \"\${$as_ac_Header+set}\" = set"; then
     8844  echo $ECHO_N "(cached) $ECHO_C" >&6
     8845else
     8846  eval "$as_ac_Header=\$ac_header_preproc"
     8847fi
     8848echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     8849echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     8850
     8851fi
     8852if test `eval echo '${'$as_ac_Header'}'` = yes; then
     8853  cat >>confdefs.h <<_ACEOF
     8854#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     8855_ACEOF
     8856
     8857else
    83208858  { { echo "$as_me:$LINENO: error: SDL_image header not found." >&5
    83218859echo "$as_me: error: SDL_image header not found." >&2;}
     
    83958933      echo "------------------"
    83968934      echo "SDL_image library not found."
    8397       echo "please install the SDL_image library, which can be found at http://www.libsdl.org/projects/SDL_image/"
     8935      echo "please install the SDL_image library, which can be found at http://www.l ibsdl.org/projects/SDL_image/"
    83988936      echo "------------------"
    83998937      exit -1
  • trunk/src/lib/graphics/importer/abstract_model.h

    r5039 r5280  
    2424#include "stdincl.h"
    2525#include "base_object.h"
    26 #include <math.h>
    2726
    2827
  • trunk/src/world_entities/weapons/crosshair.cc

    r5219 r5280  
    2424#include "state.h"
    2525#include "material.h"
    26 
    27 #include <iostream>
    2826
    2927using namespace std;
Note: See TracChangeset for help on using the changeset viewer.